# lookatme.contrib.terminal module

This module defines a built-in contrib module that enables terminal embedding within a slide.

class lookatme.contrib.terminal.TerminalExSchema(*, only: Sequence[str] | AbstractSet[str] | None = None, exclude: Sequence[str] | AbstractSet[str] = (), many: bool | None = None, context: dict | None = None, load_only: Sequence[str] | AbstractSet[str] = (), dump_only: Sequence[str] | AbstractSet[str] = (), partial: bool | Sequence[str] | AbstractSet[str] | None = None, unknown: str | None = None)

  Bases: `Schema`

  The schema used for `terminal-ex` code blocks.

  class Meta

    Bases: `object`

    render_module

      alias of `YamlRender`

  load(*args, **kwargs) → Dict

    Deserialize a data structure to an object defined by this Schema’s fields.

    Parameters:

      - data – The data to deserialize.

      - many – Whether to deserialize data as a collection. If None, the value for self.many is used.

      - partial – Whether to ignore missing fields and not require any fields declared. Propagates down to `Nested` fields as well. If its value is an iterable, only missing fields listed in that iterable will be ignored. Use dot delimiters to specify nested fields.

      - unknown – Whether to exclude, include, or raise an error for unknown fields in the data. Use EXCLUDE, INCLUDE or RAISE. If None, the value for self.unknown is used.

    Returns:

      Deserialized data

    Added in version 1.0.0.

    Changed in version 3.0.0b7: This method returns the deserialized data rather than a `(data, errors)` duple. A `ValidationError` is raised if invalid data are passed.

  loads(*args, **kwargs) → Dict

    Same as `load()`, except it uses marshmallow.Schema.Meta.render_module to deserialize the passed string before passing data to `load()`.

    Parameters:

      - json_data – A string of the data to deserialize.

      - many – Whether to deserialize obj as a collection. If None, the value for self.many is used.

      - partial – Whether to ignore missing fields and not require any fields declared. Propagates down to `Nested` fields as well. If its value is an iterable, only missing fields listed in that iterable will be ignored. Use dot delimiters to specify nested fields.

      - unknown – Whether to exclude, include, or raise an error for unknown fields in the data. Use EXCLUDE, INCLUDE or RAISE. If None, the value for self.unknown is used.

    Returns:

      Deserialized data

    Added in version 1.0.0.

    Changed in version 3.0.0b7: This method returns the deserialized data rather than a `(data, errors)` duple. A `ValidationError` is raised if invalid data are passed.

  opts: Any = <marshmallow.schema.SchemaOpts object>

class lookatme.contrib.terminal.YamlRender

  Bases: `object`

  static dumps(data)
  static loads(data)

lookatme.contrib.terminal.render_code(token, body, stack, loop)

lookatme.contrib.terminal.shutdown()

lookatme.contrib.terminal.user_warnings()

  Provide warnings to the user that loading this extension may cause shell commands specified in the markdown to be run.